#pragma once

#include "ItemSkill.h"
#include "ItemType.h"

class PlayerHandItemType : public ItemType
{
public:
    PlayerHandItemType();
    Item* createItem() const override;
    ItemSkill* createDefaultItemSkill() const override;
    void levelUpItemSkill(ItemSkill* zSkill) const override;
};

class PlayerHandSkill : public ItemSkill
{
public:
    PlayerHandSkill();
    bool use(Entity* zActor, Item* zUsedItem, Block* zTarget) override;
    bool use(Entity* zActor, Item* zUsedItem, Entity* zTarget) override;
};